=== debian/control ===
Source: cosanta
Section: utils
Priority: optional
Maintainer: Mistific@tor
Uploaders: Mistific@tor
Build-Depends: debhelper,
 devscripts,
 automake,
 libtool,
 bash-completion,
 pkg-config,
 python3,
 git,
 dh-autoreconf,
 build-essential,
 libcosanta-depends-dev
Standards-Version: 3.9.2
Homepage: https://www.cosanta.net/
Vcs-Git: git://github.com/cosanta/cosanta.git
Vcs-Browser: https://github.com/cosanta/cosanta

Package: cosantad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - daemon
 cosanta is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. cosanta uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. cosanta Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides the daemon, cosantad, and the CLI tool
 cosanta-cli to interact with the daemon.

Package: cosanta-qt
Architecture: any
Depends: ${misc:Depends}
Description: peer-to-peer network based digital currency - Qt GUI
 cosanta is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. cosanta uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. cosanta Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides cosanta-Qt, a GUI for cosanta based on Qt.

Package: cosanta-tx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer digital currency - standalone transaction tool
 cosanta is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. cosanta uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. cosanta Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides cosanta-tx, a command-line transaction creation
 tool which can be used without a cosanta daemon.  Some means of
 exchanging minimal transaction data with peers is still required.
